# App
DEBUG_TOOLS=0
USE_COVERAGE=0
SUPERADMIN_EMAIL=superadmin@domain.org
SUPERADMIN_PASSWORD=some-password
ASYNC_CLIENT_TIMEOUT=60
FETCH_NEW_TALK_MESSAGES_TIMEOUT=3
ACCESS_TOKEN_LIFETIME=3600
REFRESH_TOKEN_LIFETIME=604800
DJANGO_LOG_LEVEL=DEBUG
BACKEND_HOSTNAME=http://localhost:8000
FRONTEND_HOSTNAME=http://localhost:5173

# Postgres
POSTGRES_DATABASE=colmena_dev
POSTGRES_HOSTNAME=localhost
POSTGRES_USERNAME=postgres
POSTGRES_PASSWORD=postgres
POSTGRES_PORT=5432

# Virtual Env
PYTHON=venv/bin/python3

# Environment
DJANGO_SETTINGS_MODULE=colmena.settings.dev
COLMENA_SECRET_KEY=some-secret-key
PASSWORD_RESET_TIMEOUT=86400
IMAGE_MAX_SIZE=2

# Nextcloud
NEXTCLOUD_ADMIN_USER=superadmin
NEXTCLOUD_ADMIN_PASSWORD=superadmin
NEXTCLOUD_API_URL=http://localhost:8003
NEXTCLOUD_API_WRAPPER_URL=http://localhost:8004
NEXTCLOUD_ADMIN_GROUP_NAME=admin
NEXTCLOUD_DEFAULT_USER_QUOTA=200mb

# Mailcrab (Test & Development only)
EMAIL_HOST=localhost
EMAIL_PORT=1080
EMAIL_USE_SSL=0

# Deployment
STAGE=local
ALLOWED_HOSTS="*"
PORT=5000
CORS_ALLOWED_ORIGINS=http://localhost:5173
CSRF_TRUSTED_ORIGINS=[]

# IPython dir
IPYTHONDIR=venv/.ipython
